Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.factory
Class TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.PushbackInputStream
                  com.stc.connector.tcpip.model.factory.TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  TCPIPSocketFactoryExtendedImpl

    public class TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream

extends java.io.PushbackInputStream

Inner class for PushbackInputStream

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/03/03 15:35:59 $
Author:
  Harry Liu (harry.liu@seebeyond.com)

Field Summary

Fields inherited from class java.io.PushbackInputStream
`buf, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream(java.io.InputStream in)` Constructor
`TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream(java.io.InputStream in, int size)` Constructor

Method Summary
`int` | `available()`
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class java.io.PushbackInputStream
`close, mark, markSupported, read, reset, skip, unread, unread, unread`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream

    public TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream(java.io.InputStream in)

  Constructor

  Parameters:
    `in` -

### TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream

    public TCPIPSocketFactoryExtendedImpl.TCPIPPushbackInputStream(java.io.InputStream in,
                                                                   int size)

  Constructor

  Parameters:
    `in` -
    `size` -

Method Detail

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.PushbackInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `InputStream.available()`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.PushbackInputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `InputStream.read(byte[], int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD